Summary: The Advanced Linux Sound Architecture (ALSA) utilities
Name: alsa-utils
Version: 1.0.24.2
Release: 24%{?dist}
License: GPLv2+
Group: Applications/Multimedia
Source0: ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}.tar.bz2
Source4: alsaunmute
Source5: alsaunmute.1
Source6: alsa-info.sh
Source10: alsa.rules
Source11: alsactl.conf
Source20: alsa-restore.service
Source21: alsa-store.service
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel >= 1.0.24, pkgconfig, gettext
BuildRequires: ncurses-devel
BuildRequires: xmlto

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA command line utilities.

%prep
%setup -q

%build
%configure --sbindir=/sbin
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/lib/systemd/system/basic.target.wants \
         %{buildroot}/lib/systemd/system/shutdown.target.wants
# Install ALSA udev rules
install -p -m 644 %{SOURCE10} %{buildroot}/lib/udev/rules.d/90-alsa-restore.rules
install -p -m 644 %{SOURCE20} %{buildroot}/lib/systemd/system/basic.target.wants/alsa-restore.service
install -p -m 644 %{SOURCE21} %{buildroot}/lib/systemd/system/shutdown.target.wants/alsa-store.service

# Install support utilities
mkdir -p -m755 %{buildroot}/bin
install -p -m 755 %{SOURCE4} %{buildroot}/bin/
mkdir -p -m755 %{buildroot}/%{_mandir}/man1
install -p -m 644 %{SOURCE5} %{buildroot}/%{_mandir}/man1/alsaunmute.1

# Link alsactl to /usr/sbin
mkdir -p %{buildroot}/%{_sbindir}
ln -s ../../sbin/alsactl %{buildroot}/%{_sbindir}/alsactl

# Move /usr/share/alsa/init to /lib/alsa/init
mkdir -p -m 755 %{buildroot}/lib/alsa
mv %{buildroot}%{_datadir}/alsa/init %{buildroot}/lib/alsa

# Link /lib/alsa/init to /usr/share/alsa/init back
ln -s ../../../lib/alsa/init %{buildroot}%{_datadir}/alsa/init

# Create a place for global configuration
mkdir -p -m 755 %{buildroot}/etc/alsa
install -p -m 644 %{SOURCE11} %{buildroot}/etc/alsa
touch %{buildroot}/etc/asound.state

# Create /var/lib/alsa tree
mkdir -p -m 755 %{buildroot}/var/lib/alsa

# Install alsa-info.sh script
install -p -m 755 %{SOURCE6} %{buildroot}/usr/bin/alsa-info
ln -s alsa-info %{buildroot}/usr/bin/alsa-info.sh

%find_lang alsaconf
%find_lang alsa-utils
cat alsaconf.lang >> alsa-utils.lang 

%clean
rm -rf %{buildroot}

%post
if [ -s /etc/alsa/asound.state -a ! -s /etc/asound.state ] ; then
  mv /etc/alsa/asound.state /etc/asound.state
fi
if [ -s /etc/asound.state -a ! -s /var/lib/alsa/asound.state ] ; then
  mv /etc/asound.state /var/lib/alsa/asound.state
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog TODO README
%config /etc/alsa/*
/bin/*
/sbin/*
/lib/udev/rules.d/*
/lib/systemd/system/*
/lib/systemd/system/basic.target.wants/*
/lib/systemd/system/shutdown.target.wants/*
/lib/alsa/init/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/alsa/
%{_datadir}/sounds/*
%{_mandir}/man?/*
%{_mandir}/*/man?/*
%dir /etc/alsa/
%dir /lib/alsa/
%dir /lib/alsa/init/
%dir /var/lib/alsa/
%ghost /etc/asound.state

%changelog
* Tue Feb  1 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.24.2-23
- Update to 1.0.24.2.

* Mon Oct  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.13-22
- Update to 1.0.13.

* Fri Sep  1 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.12.

* Sun Dec  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Sync with rawhide.

* Fri Nov 18 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.10 final.

* Mon Nov 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.10rc3.

* Mon Sep 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9a.

* Tue May 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix alsa bug 0001131.
- Temporarily adjust versioning to Red Hat for 1.0.9.

* Fri May 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9 final.

* Thu May 26 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9rc4a.

* Fri Jan 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Tue Nov 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.7.

* Wed Aug 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.6.

* Sat May 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.5.

* Sun Apr  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.4.

* Tue Mar  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.3.

* Tue Jan 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Fri Jan  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.1.

* Sat Dec  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0rc2.

* Wed Dec  3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0rc1.

* Sat Nov 29 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
